Subject: [PATCH] Fix a warning (on cygwin) to allow -Werror

From: Ramsay Jones <[email-masked]>
Date: Tue, 26 Aug 2008 18:50:37 +0100

Signed-off-by: Ramsay Jones <[email-masked]>
---

Noticed while building 1.6.0 from the release tar-ball.

Also, I noticed that git_ntohl() is still defined in compat/mingw.h; is this
still required?  It's not a problem, just curious! (I don't have mingw
installed, so I can't test myself)

ATB,

Ramsay Jones

 builtin-fast-export.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/builtin-fast-export.c b/builtin-fast-export.c
index 0709716..7c93eb8 100644
--- a/builtin-fast-export.c
+++ b/builtin-fast-export.c
@@ -417,7 +417,8 @@ static void export_marks(char *file)
 	for (i = 0; i < idnums.size; i++) {
 		if (deco->base && deco->base->type == 1) {
 			mark = ptr_to_mark(deco->decoration);
-			fprintf(f, ":%u %s\n", mark, sha1_to_hex(deco->base->sha1));
+			fprintf(f, ":%"PRIu32" %s\n", mark,
+				sha1_to_hex(deco->base->sha1));
 		}
 		deco++;
 	}
-- 
1.6.0